Hallo, Gast! (Registrieren)

Letzte Ankündigung: Sicherheitsupdate: MyBB 1.8.29 veröffentlicht (30.10.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Java-Version 1603 > welche MyBB-Version war das?
#1
Hallo,

mal eine Frage am Rande.

Mittlerweile gilt für MyBB aktuell ./jscripts/general.js?ver=1827

In einem älteren entdeckten MyBB-Forum wird noch ./jscripts/general.js?ver=1603 verwendet.

Weis jemand welche MyBB-Version dies dann ist bzw. sein müsste (soweit zu diesem Zeitpunkt keine weiteren Updates durchgeführt wurden)?

Danke vorab für ein Feedback.
Jammer nicht rum ...Du musst (k/m)eine Hilfe (nicht) annehmen!
MyBB: 1.8.27 | PHP: 7.4.19 | SQL: 5.7.34
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [301] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner]
Zitieren
#2
Das kann jede beliebige Version sein, wenn die Templates irgendwann einmal nicht aktualisiert wurden. Zur Bestimmung der Version taugt das nicht.

PS: MyBB verwendet kein Java. Javascript ist eine völlig andere Programmiersprache.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#3
@ Gerti

Diese " Vers.-Angabe" sagt nichts über die tatsächliche Datei-Version aus. Sie dient dazu, dem Browser bei jedem Seitenbesuch zu sagen, dass er die im Cache gespeicherte Datei weiter verwenden soll, ohne neu zu downloaden, oder eben auch nicht.
Hat dein Browser die Vers. 1603 oder auch nichts im Cache, dann läd er neu herunter, wenn er im Code auf eine andere Version trifft.
Anderenfalls tut er das nicht. Das geschieht lediglich aus Performance-Gründen und hat nichts mit der Aktualität oder Version dieser Datei zu tun.
Andererseits könnte man z.B. "heiß" an jener Datei arbeiten, und alle User, die die "alte" Version im Cache haben, würden erst etwas davon merken, wenn man diese Vers.-Nr. final ändert.

In Summe kann man also nicht auf Änderungen schließen.
Du könntest z.B. im Template "headerinclude" die "general.js?ver=1827" in "general.js?ver=1899" umbenennen.
Es hätte keine Auswirkungen, nur dass die Browser der Seitenbesucher versuchen, diese Datei neu zu laden.
Ich hoffe, mich einigermaßen verständlich ausgedrückt zu haben. Wink
Die "general.js" hat sich augenscheinlich zwischen MyBB-Vers. 1.6.2 und 1.6.18 nicht mehr geändert.

Grüße

Edit:

Sollte deine Frage mit diesem Post zusammenhängen, dann wäre es sinnvoll gewesen, es klar deutlich zu machen. Dann hätte ich mir auch die Erklärungsversuche sparen können.  Wink
Die MyBB-Vers.-Nr. der eingesetzten Datenbank findest du in der Tabelle "_datacache" in der Spalte "Version".
Zitieren
#4
Danke allerseits für die verständlichen Ausführungen.

@Schnapsnase
a) Nein, mit dem von Dir verlinkten Thread hat es rein gar nichts zu tun.
> Der Fragesteller war zudem nach meinem Beitrag bereits mehrmals aktiv hier im Forum und antwortet nicht auf Fragen. Denke sein Anliegen scheint gelöst zu sein. Könnte er doch wenigstens seinen eröffneten Thread auf erledigt stellen.
b) Wo ich die Versionsnummer in der Datenbank finde ist mir bekannt. das Probleme hatte ich, als ich 2018 mit MyBB begann und es mir hier auf mybb.de erklärt wurde.
Jammer nicht rum ...Du musst (k/m)eine Hilfe (nicht) annehmen!
MyBB: 1.8.27 | PHP: 7.4.19 | SQL: 5.7.34
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [301] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner]
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Java-Probleme clayton 8 824 21.02.2020, 18:44
Letzter Beitrag: clayton
  Welche PHP Version? Lagerlui 3 943 27.03.2017, 08:28
Letzter Beitrag: òóGlubscher
  PHP 7 - oder welche PHP-Version Hexe 6 2.424 26.09.2016, 12:45
Letzter Beitrag: KaSo